# umi

_A Solana Framework for JavaScript clients._

Umi is a modular framework for building and using JavaScript clients for Solana programs. It provides a zero-dependency library that defines a set of core interfaces that libraries can rely on without being tied to a specific implementation. It is then up to the end-user to choose the implementation that best suits their needs. Umi also provides a set of default implementations and bundles that can be used out of the box allowing developers to get started quickly.

## Documentation

- [Installation](https://github.com/metaplex-foundation/umi/blob/main/docs/installation.md)
- [Umi's interfaces](https://github.com/metaplex-foundation/umi/blob/main/docs/interfaces.md)
- [Interface implementations](https://github.com/metaplex-foundation/umi/blob/main/docs/implementations.md)
- [Public keys and signers](https://github.com/metaplex-foundation/umi/blob/main/docs/publickeys-signers.md)
- [Connecting with an RPC](https://github.com/metaplex-foundation/umi/blob/main/docs/rpc.md)
- [Sending transactions](https://github.com/metaplex-foundation/umi/blob/main/docs/transactions.md)
- [Fetching accounts](https://github.com/metaplex-foundation/umi/blob/main/docs/accounts.md)
- [Serializers](https://github.com/metaplex-foundation/umi/blob/main/docs/serializers.md)
- [Uploading and downloading assets](https://github.com/metaplex-foundation/umi/blob/main/docs/storage.md)
- [Sending Http requests](https://github.com/metaplex-foundation/umi/blob/main/docs/http.md)
- [Registering programs](https://github.com/metaplex-foundation/umi/blob/main/docs/programs.md)
- [Umi plugins](https://github.com/metaplex-foundation/umi/blob/main/docs/plugins.md)
- [Generating Umi clients via Kinobi](https://github.com/metaplex-foundation/umi/blob/main/docs/kinobi.md)
- [Umi helpers](https://github.com/metaplex-foundation/umi/blob/main/docs/helpers.md)
- [Web3.js adapters](https://github.com/metaplex-foundation/umi/blob/main/docs/web3js-adapters.md)
